encoding to utf8, adding help

This commit is contained in:
vv01f 2022-07-12 10:47:52 +02:00
parent b46b6faaf0
commit 243088c56d
1 changed files with 20 additions and 2 deletions

22
gen.sh
View File

@ -40,7 +40,8 @@ build () {
# --stringparam current-date `date +%Y-%m-%d` # possibility for current date-time-group via XSLT <xsl:value-of select="$current-date"/>
xsltproc --stringparam current-date "$(date --rfc-email)" --encoding utf-8 -o ds-feed.xml rss.xsl $datafn && { >&2 printf "done.\n"; } || { >&2 printf "failed on rss.xsl.\n"; exit 1; }
>&2 printf "building download.html … "
xsltproc --encoding iso-8859-1 -o download.html download.xsl $datafn && { >&2 printf "done.\n"; } || { >&2 printf "failed on download.xsl.\n"; exit 1; }
#~ xsltproc --encoding iso-8859-1 -o download.html download.xsl $datafn && { >&2 printf "done.\n"; } || { >&2 printf "failed on download.xsl.\n"; exit 1; }
xsltproc --encoding utf-8 -o download.html download.xsl $datafn && { >&2 printf "done.\n"; } || { >&2 printf "failed on download.xsl.\n"; exit 1; }
>&2 printf "building index.html … "
xsltproc --encoding utf-8 -o index.html index.xsl $datafn && { >&2 printf "done.\n"; } || { >&2 printf "failed on index.xsl.\n"; exit 1; }
exit 0
@ -216,6 +217,18 @@ newdataentry () {
newinfoentry () {
>&2 printf "not implemented yet.\n\nwill be similar to 'release'.\n"
}
help () {
printf "commands:\n"
printf "\tlinkcheck check links for availability\n"
printf "\tbuild create HTML from XML\n"
printf "\trelease create XML for newly released issue\n"
printf "\tinfo to be: create XML for informational entry\n"
printf "\tupload upload issue\n"
printf "\tsortxml sort items of the XML file\n"
printf "\tmirror create local mirror of the website\n"
printf "\n"
}
#~ echo $# $@
@ -254,8 +267,13 @@ else
shift
newinfoentry $@
;;
help)
printf "to be extended, see README for exaples."
help
;;
*)
printf "this is not implemented yet.\n"
printf "this command does not exist.\n"
help
;;
esac
fi